Bug 526061 - virt-manager does not give any indication of dbus-session connection failure
Summary: virt-manager does not give any indication of dbus-session connection failure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 15:36 UTC by Albert Hopkins
Modified: 2018-10-20 03:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-09 16:08:41 UTC


Attachments (Terms of Use)

Description Albert Hopkins 2009-09-28 15:36:23 UTC
When starting virt-manager from a system that does not have a dbus session running (e.g. when opening a remote ssh connection to a headless server), virt-manager quits immediately. There is no indication to the user that virt-manager could not connect to the dbus session or that the "--no-dbus"   option should be supplied.  This confuses the user as a proper error message is not provided in order to correct the action.

Should there instead be a warning/error message indicating that virt-manager failed to connect to the session bus?

Comment 1 Cole Robinson 2009-09-28 15:43:42 UTC
Can you post the command line output when virt-manager is run with --no-fork in this case?

Comment 2 Cole Robinson 2009-10-13 16:36:56 UTC
ping, albert?

Comment 4 Cole Robinson 2009-10-14 19:10:23 UTC
Hmm, I dont' see any dbus issues there. Both times you run those commands, no window pops up?

That second command will rightfully error: qemu:///localhost is not proper libvirt URI syntax. You would want to use qemu:///system most likely.

Comment 6 Cole Robinson 2009-12-09 16:08:41 UTC
Thanks, closing as CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.